// Creation des filtres passe-bas
exec("passe_bas_rect.sce");
exec("passe_bas_ham.sce");

nu_e = 16000;

// signal de parole nu_max = 4000 Hz, puissance = 10
Px = 10;
x = wavread("fcjf0_sa1_LP.wav");
x = sqrt(Px)*x/st_deviation(x);
N = length(x);

// Signal harmonique, Puissance=1000
n=0:N-1;
nu0 = 150;
y = zeros(1,N);
for k=1:20
  y = y + 10*sin(2*%pi*k*nu0/nu_e*n);
end
wavwrite(y/max(abs(y)),16000,"harmonique.wav");

// Suite de +/- 1
alterne = ones(1,N);
alterne(2:2:N-1) = -1;

z = y.*alterne;

// Signal multiplexé transmis
w = x + z;
wavwrite(w/max(abs(w)),16000,"multiplex.wav");

//************** canal *************************

// Reception
x1 = convol(h1,w);
x2 = convol(h2,w);

wavwrite(x1/max(abs(x1)),16000,"x1.wav");
wavwrite(x2/max(abs(x2)),16000,"x2.wav");

// sous-echantillonnage
x1_ssech = x1(1:2:N-1);
wavwrite(x1_ssech/max(abs(x1_ssech)),8000,"x1_ssech.wav");
x2_ssech = x2(1:2:N-1);
wavwrite(x2_ssech/max(abs(x2_ssech)),8000,"x2_ssech.wav");

